function loadXML()
{
    if (window.XMLHttpRequest)
    {
        xmlhttp = new XMLHttpRequest();
    }
    else
    {
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    xmlhttp.open("GET","books.xml",false);
    xmlhttp.send();
    xmlDoc = xmlhttp.responseXML;
    ucitajDrzave();
}

function ucitajDrzave()
{
    drzave = "";
    x = xmlDoc.getElementsByTagName("country");
    
    for (i=0; i<x.length; i++)
    {
        drzava = x[i].getElementsByTagName("name")[0].childNodes[0].nodeValue;
        drzave += "<option>" + drzava + "</option>";
    }
    document.getElementById("zemlja").innerHTML = drzave;
    ispisi();
}

function ispisi()
{
    zemlja = document.getElementById("zemlja").value;
    table = "" + zemlja + "<table><tr><th>Author</th><tr>";
    ind = 0;
    
    for (i=0; i<x.length; i++)
    {
        if (x[i].getElementsByTagName("name")[0].childNodes[0].nodeValue == zemlja)
        {
            y = x[i].getElementsByTagName("author");
            for (j=0; j<y.length; j++)
            {
                pisac = y[j].getElementsByTagName("name")[0].childNodes[0].nodeValue;
                if (ind == 0)
                {
                    prvi = pisac;
                    ind = 1;
                }
                table += "<tr onclick='promeniPisca("+i+","+j+")'><td>" + pisac + "</td></tr>";
            }
        }
    }
    table += "</table>";
    document.getElementById("tabela").innerHTML = table;
    ucitajKnjige();
}

function ucitajKnjige()
{
    knjige = "";
    zemlja = document.getElementById("zemlja").value;
    
    for (i=0; i<x.length; i++)
    {
        if(x[i].getElementsByTagName("name")[0].childNodes[0].nodeValue == zemlja)
        {
            y = x[i].getElementsByTagName("author");
            for (j=0; j<y.length; j++)
            {
                if (y[j].getElementsByTagName("name")[0].childNodes[0].nodeValue == prvi)
                {
                    z = y[j].getElementsByTagName("book");
                    for (k=0; k<z.length; k++)
                    {
                        title = z[k].getElementsByTagName("title")[0].childNodes[0].nodeValue;
                        knjige += "<option>" + title + "</option>";
                    }
                }
            }
        }
    }
    document.getElementById("naslov").innerHTML = knjige;
    ubaciOpis();
}

function promeniPisca(i,j)
{
    y = x[i].getElementsByTagName("author");
    prvi = y[j].getElementsByTagName("name")[0].childNodes[0].nodeValue;
    ucitajKnjige();
}

function ubaciOpis()
{
    trenKnjiga = document.getElementById("naslov").value;
    zemlja = document.getElementById("zemlja").value;
    ispis = "";
    niz = [];
    for (i=0; i<x.length; i++)
    {
        if(x[i].getElementsByTagName("name")[0].childNodes[0].nodeValue == zemlja)
        {
            y = x[i].getElementsByTagName("author");
            for (j=0; j<y.length; j++)
            {
                z = y[j].getElementsByTagName("book");
                for (k=0; k<z.length; k++)
                {
                    if (z[k].getElementsByTagName("title")[0].childNodes[0].nodeValue == trenKnjiga)
                    {
                        opis = z[k].getElementsByTagName("description")[0].childNodes[0].nodeValue;
                        niz = opis.split(".");
                        ispis = niz[0];
                    }
                }
            }
        }
    }
    document.getElementById("desc").innerHTML = ispis;
}

function prosiri()
{
    trenKnjiga = document.getElementById("naslov").value;
    zemlja = document.getElementById("zemlja").value;
    ispis = "";
    for (i=0; i<x.length; i++)
    {
        if(x[i].getElementsByTagName("name")[0].childNodes[0].nodeValue == zemlja)
        {
            y = x[i].getElementsByTagName("author");
            for (j=0; j<y.length; j++)
            {
                z = y[j].getElementsByTagName("book");
                for (k=0; k<z.length; k++)
                {
                    if (z[k].getElementsByTagName("title")[0].childNodes[0].nodeValue == trenKnjiga)
                    {
                        opis = z[k].getElementsByTagName("description")[0].childNodes[0].nodeValue;
                        ispis = opis;
                    }
                }
            }
        }
    }
    document.getElementById("desc").innerHTML = ispis;
}